* {
    margin: 0;
}
body {
    margin: 1rem;
}
p {
    margin-top: 1em;

    &:has(:not(+ p)) {
        margin-bottom: 1em;
    }

    :is(h3, h4) + & {
        margin-top: .5em;
    }
}
img {
    height: 1em;
    vertical-align: text-bottom;
}
p:has(+ h2) {
    margin-bottom: 1em;
}
h3:has(+ p) {
    margin-top: 1em;
}
h4:has(+ p) {
    margin-top: 1em;
}
p + p {
    margin-top: .5em;
}
ul {
    list-style-type: '-';
    & li {
        padding-left: 1em;
    }
}
hr {
    margin: .75em 0;
}